let ItemView = cc.Class({
    extends: cc.Component,
    properties: {
        testLabel1: cc.Label,
        testLabel2: cc.Label,
        testLabel3: cc.Label,
        testLabel4: cc.Label,
    },

    onLoad: function() {
        this.itemIndex = 0;
    },
    reset: function() {

    },
    updateItem: function(itemId, ItemInfo) {
        cc.log("itemView updateItem.......");
        this.testLabel1.string = ItemInfo[0];
        this.testLabel2.string = ItemInfo[1];
        this.testLabel3.string = ItemInfo[2];
        this.testLabel4.string = ItemInfo[3];
    },

    //更新玩家头像
    setHead: function() {
        cc.log("itemView setHead.......");
    },
});

window.lrs = window.lrs || {};
window.lrs.ItemView = ItemView;